
Name:           python-django-ajax-selects
Version:        1.3.4
Release:        %mkrel 7
Summary:        jQuery-powered auto-complete fields for ForeignKey and ManyToMany fields
Group:          Development/Python
License:        MIT and GPLv3
URL:            http://pypi.python.org/pypi/django-ajax-selects
Source:         http://pypi.python.org/packages/source/d/django-ajax-selects/django-ajax-selects-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-django

%description
Enables editing of `ForeignKey`, `ManyToMany` and simple text fields using the
Autocomplete - `jQuery` plugin.       
django-ajax-selects will work in any normal form as well as in the admin.        
The user is presented with a text field. They type a search term or a few
letters of a name they are looking for, an ajax request is sent to the server,
a search channel returns possible results. Results are displayed as a drop down
menu. When an item is selected it is added to a display area just below the
text field.

%package -n python3-django-ajax-selects
Summary:        Intelligent schema migrations for Django apps
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-django

%description -n python3-django-ajax-selects
Enables editing of ForeignKey, ManyToMany and simple text fields using the
Autocomplete - jQuery plugin.
django-ajax-selects will work in any normal form as well as in the admin.
The user is presented with a text field. They type a search term or a few
letters of a name they are looking for, an ajax request is sent to the server,
a search channel returns possible results. Results are displayed as a drop
down menu. When an item is selected it is added to a display area just below
the text field.

%prep
%setup -q -n django-ajax-selects-%{version}
cp -a . %{py3dir}


%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd


%files
%doc ajax_select/LICENSE.txt 
%doc ajax_select/docs/*
%doc example/*
%{python_sitelib}/ajax_select
%{python_sitelib}/django_ajax_selects-%{version}-py?.?.egg-info


%files -n python3-django-ajax-selects
%doc ajax_select/LICENSE.txt
%doc ajax_select/docs/*
%doc example/*
%{python3_sitelib}/ajax_select
%{python3_sitelib}/django_ajax_selects-%{version}-py?.?.egg-info



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.3.4-7.mga6
+ Revision: 971011
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.3.4-6.mga6
+ Revision: 888882
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.3.4-5.mga5
+ Revision: 746652
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3.4-4.mga5
+ Revision: 728261
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3.4-3.mga5
+ Revision: 687968
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.3.4-2.mga5
+ Revision: 628552
- Rebuild for new Python

* Mon May 19 2014 philippem <philippem> 1.3.4-1.mga5
+ Revision: 623952
- update to 1.3.4, add Python3

* Tue Oct 22 2013 umeabot <umeabot> 1.2.5-4.mga4
+ Revision: 543154
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.5-3.mga4
+ Revision: 498362
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.2.5-2.mga3
+ Revision: 378664
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 1.2.5-1.mga3
+ Revision: 334336
- Update to 1.2.5

* Thu Jan 27 2011 ahmad <ahmad> 1.1.4-1.mga1
+ Revision: 42333
- imported package python-django-ajax-selects


* Fri Nov 12 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.1.4-1mdv2011.0
+ Revision: 596475
- Update to 1.1.4
- Improve spec
- Correct the license tag

* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.0-1mdv2011.0
+ Revision: 591970
- import python-django-ajax-selects

